# Class: PaletteColorLookupTable

## color.PaletteColorLookupTable(options)

A Palette Color Lookup Table

## Constructor

#### new PaletteColorLookupTable(options)

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | ###### Properties
Name | Type | Description
--- | --- | ---
`uid` | string | UID
`redDescriptor` | Array.<number> | Red LUT descriptor
`greenDescriptor` | Array.<number> | Green LUT descriptor
`blueDescriptor` | Array.<number> | Blue LUT descriptor
`redData` | Uint8Array | Uint16Array | Red LUT data
`greenData` | Uint8Array | Uint16Array | Green LUT data
`blueData` | Uint8Array | Uint16Array | Blue LUT data
`redSegmentedData` | Uint8Array | Uint16Array | Red segmented LUT data
`greenSegmentedData` | Uint8Array | Uint16Array | Green segmented LUT data
`blueSegmentedData` | Uint8Array | Uint16Array | Blue segmented LUT data

Source:
  - color.js, line 119

### Members

#### data :Array.<Array.<number>>

Palette Color Lookup Table Data. RGB color triplet for each value mapped.

##### Type:

- Array.<Array.<number>>

Source:
  - color.js, line 331

#### firstValueMapped :number

First value mapped

##### Type:

- number

Source:
  - color.js, line 410

#### uid :string

Palette Color Lookup Table UID

##### Type:

- string

Source:
  - color.js, line 320